PATCH/projects/api/v3/budget/notifications/{notificationId}.json

Update an existing notification.

Path Params

  • Name
    notificationId
    Type
    integer
    required
    Description

Body Params

ProjectBudgetRequest contains information of a notification to be created or updated.

    • Name
      notification
      Type
      object
      Description
      ProjectBudgetNotification contains all the information returned from a notification.

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      Response contains information about a specific notification.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Description
      404 Not Found No Data
    • Code
      409
      Type
      object
      Schema
      Description
      409 Conflict
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    Response
    {
      "notification": {
        "capacityThreshold": 0,
        "companies": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "companyIds": [
          0
        ],
        "id": 0,
        "notificationMedium": "string",
        "teamIds": [
          0
        ],
        "teams": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ],
        "userIds": [
          0
        ],
        "users": [
          {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        ]
      }
    }